BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/timeline/transform

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/timeline/transform" \  -H "Content-Type: application/json" \  -d '{    "timeline_item_id": "string"  }'
{  "success": true,  "timeline_item_id": "string",  "asset_type": "string",  "previous": {    "position_x": 0,    "position_y": 0,    "width_px": 0,    "height_px": 0,    "keep_aspect_ratio": true  },  "updated": {    "position_x": 0,    "position_y": 0,    "width_px": 0,    "height_px": 0,    "keep_aspect_ratio": true  },  "message": "string",  "error": "string"}